import RichTextCollapse from "../common/collapse/RichTextCollapse";
import ProductSection from "../sections/ProductSection";

const ProductIntro = ({ section, hidden }) => {
  return (
    <ProductSection section={section} hidden={hidden} id={"about"}>
      <div className={`w-full flex flex-col gap-4 `}>
        {section?.content?.map((item, index) => (
          <div className={"w-full flex flex-col gap-4"} key={index}>
            {item.video && item.video !== "" && (
              <video
                title={item.videoTitle}
                className="w-full aspect-video rounded-2xl"
                controls
                preload="metadata"
                poster={`${item.poster}?v=${Date.now()}`}
              >
                <source src={item.video} type="video/mp4" />
                لطفا از مرورگر به روز تری استفاده کنید . مرورگر شما ویدیو را
                پشتیبانی نمیکند
              </video>
            )}
            <RichTextCollapse text={item.text} />
          </div>
        ))}
      </div>
    </ProductSection>
  );
};

export default ProductIntro;
